package p03_interakcja.skaner;

import java.util.Locale;
import java.util.Scanner;

public class ProstokatUS1 {

	public static void main(String[] args) {
		// Zanim utworzę Scanner i wykonam jakąkolwiek operację zw z localami,
		// zmieniam domyśle ustawienia TEJ APLIKACJI
		Locale.setDefault(Locale.US);
		
		Scanner scanner = new Scanner(System.in);
		
		System.out.print("Podaj długość prostokąta: ");
		double a = scanner.nextDouble();
		System.out.print("Podaj szerokość prostokąta: ");
		double b = scanner.nextDouble();
		
		double pole = a*b;
		double obwod = 2*a + 2*b;
		System.out.println("Pole: " + pole);
		System.out.println("Obwód: " + obwod);
		
		// wersja printf (działa tak samo jak String.format):
		System.out.printf("Dla prostokąta o bokach %.3f × %.3f pole wynosi %.3f a obwód %.3f\n",
				a, b, pole, obwod);

	}

}
